﻿#region using

using System;
using System.Windows.Forms;
using fomm.Scripting;

#endregion

class Script : FalloutNewVegasBaseScript
{
    // Entry point.
    public static bool OnActivate()
    {
        if (!DataFileExists("Interface/favoritesmenu.cfg"))
        {
            DialogResult dr = MessageBox(
                "Note, you do not currently have a favoritesmenu.cfg file." + Environment.NewLine +
                "This file  is critical to the operation of the mod. Create" + Environment.NewLine +
                "a sample file? Without this file the game will crash-to-" + Environment.NewLine +
                "desktop when the favorites menu is opened." + Environment.NewLine +
                Environment.NewLine +
                "There is a GUI configuration available that allows you to" + Environment.NewLine +
                "customize the UI, or your can edit the configuration file" + Environment.NewLine +
                "manually." + Environment.NewLine +
                Environment.NewLine +
                "Note that if NMM creates this file, it may get deleted" + Environment.NewLine +
                "during an update to the mod. It is recommended that you" + Environment.NewLine +
                "download the GUI tool and create the file without NMM.",
                "ExpFavMenu - Config file not found", MessageBoxButtons.YesNoCancel);
            if (dr == DialogResult.Cancel)
                return false;
            if (dr == DialogResult.Yes)
                CopyDataFile("Interface/favoritesmenu.cfg.sample", "Interface/favoritesmenu.cfg");
        }
        InstallFileFromFomod("Interface/favoritesmenu.swf");
        InstallFileFromFomod("Interface/Readme - ExpFavMenu.txt");
        return true;
    }
}